#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,m;
    cin>>n>>m;
    int dr[n];
    for(int i=1;i<=n;i++)
        cin>>dr[i];

    int poz[m][2];
    for(int i=0;i<m;i++)
        for(int j=0;j<2;j++)
           cin>>poz[i][j];

    int brpr[n]={0},brnepr[n]={0};

    for(int i=0;i<m;i++)
       {
            if(dr[poz[i][0]]<0 || dr[poz[i][1]]<0)
            {
                brnepr[poz[i][0]]++;
                brnepr[poz[i][1]]++;
            }
            else
            {
                brpr[poz[i][0]]++;
                brpr[poz[i][1]]++;
            }
        }
    int sreca[n];
    for(int i=1;i<=n;i++)
    {
        if(dr[i]==0)
            sreca[i]=0;
        else
            sreca[i]=dr[i]*(brpr[i]-brnepr[i]);
    }


    int SumaSreca=0;
    for(int i=1;i<=n;i++)
        SumaSreca+=sreca[i];
    cout<<SumaSreca;
    return 0;
}